scala.tools.nsc.transform.ExplicitOuter

# RemoveBindingsTransformer

#### class RemoveBindingsTransformer extends Global.Transformer

Source
  ExplicitOuter.scala

Linear Supertypes
Global.Transformer, Global.Transformer, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. RemoveBindingsTransformer
2. Transformer
3. Transformer
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new RemoveBindingsTransformer(toRemove: Set[Global.Symbol])

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from RemoveBindingsTransformer to any2stringadd[RemoveBindingsTransformer] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (RemoveBindingsTransformer, B)

   Implicit information
     This member is added by an implicit conversion from RemoveBindingsTransformer to ArrowAssoc[RemoveBindingsTransformer] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def atOwner[A](owner: Global.Symbol)(trans: ⇒ A): A

   Definition Classes
     Transformer

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def currentClass: Global.Symbol

   Attributes
     protected
   Definition Classes
     Transformer

10. #### def currentMethod: Global.Symbol

    Attributes
      protected
    Definition Classes
      Transformer

11. #### var currentOwner: Global.Symbol

    Attributes
      protected[scala]
    Definition Classes
      Transformer

12. #### def ensuring(cond: (RemoveBindingsTransformer) ⇒ Boolean, msg: ⇒ Any): RemoveBindingsTransformer

    Implicit information
      This member is added by an implicit conversion from RemoveBindingsTransformer to Ensuring[RemoveBindingsTransformer] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: (RemoveBindingsTransformer) ⇒ Boolean): RemoveBindingsTransformer

    Implicit information
      This member is added by an implicit conversion from RemoveBindingsTransformer to Ensuring[RemoveBindingsTransformer] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean, msg: ⇒ Any): RemoveBindingsTransformer

    Implicit information
      This member is added by an implicit conversion from RemoveBindingsTransformer to Ensuring[RemoveBindingsTransformer] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: Boolean): RemoveBindingsTransformer

    Implicit information
      This member is added by an implicit conversion from RemoveBindingsTransformer to Ensuring[RemoveBindingsTransformer] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

18. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

19. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from RemoveBindingsTransformer to StringFormat[RemoveBindingsTransformer] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

20. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

21. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

22. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

23. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### final def notify(): Unit

    Definition Classes
      AnyRef

25. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

26. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

27. #### def toString(): String

    Definition Classes
      AnyRef → Any

28. #### def transform(tree: Global.Tree): Global.Tree

    Definition Classes
      RemoveBindingsTransformer → Transformer

29. #### def transformCaseDefs(trees: List[Global.CaseDef]): List[Global.CaseDef]

    Definition Classes
      Transformer

30. #### def transformIdents(trees: List[Global.Ident]): List[Global.Ident]

    Definition Classes
      Transformer

31. #### def transformMemberDefs(trees: List[Global.MemberDef]): List[Global.MemberDef]

    Definition Classes
      Transformer

32. #### def transformModifiers(mods: Global.Modifiers): Global.Modifiers

    Definition Classes
      Transformer

33. #### def transformStats(stats: List[Global.Tree], exprOwner: Global.Symbol): List[Global.Tree]

    Definition Classes
      Transformer

34. #### def transformTemplate(tree: Global.Template): Global.Template

    Definition Classes
      Transformer

35. #### def transformTrees(trees: List[Global.Tree]): List[Global.Tree]

    Definition Classes
      Transformer

36. #### def transformTypeDefs(trees: List[Global.TypeDef]): List[Global.TypeDef]

    Definition Classes
      Transformer

37. #### def transformUnit(unit: Global.CompilationUnit): Unit

    Definition Classes
      Transformer

38. #### def transformValDef(tree: Global.ValDef): Global.ValDef

    Definition Classes
      Transformer

39. #### def transformValDefs(trees: List[Global.ValDef]): List[Global.ValDef]

    Definition Classes
      Transformer

40. #### def transformValDefss(treess: List[List[Global.ValDef]]): List[List[Global.ValDef]]

    Definition Classes
      Transformer

41. #### val treeCopy: Global.TreeCopier

    Definition Classes
      Transformer

42. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

43. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

44. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

45. #### def →[B](y: B): (RemoveBindingsTransformer, B)

    Implicit information
      This member is added by an implicit conversion from RemoveBindingsTransformer to ArrowAssoc[RemoveBindingsTransformer] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Global.Transformer

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from RemoveBindingsTransformer to any2stringadd[RemoveBindingsTransformer]

### Inherited by implicit conversion StringFormat from RemoveBindingsTransformer to StringFormat[RemoveBindingsTransformer]

### Inherited by implicit conversion Ensuring from RemoveBindingsTransformer to Ensuring[RemoveBindingsTransformer]

### Inherited by implicit conversion ArrowAssoc from RemoveBindingsTransformer to ArrowAssoc[RemoveBindingsTransformer]

### Ungrouped